DWARF_END_MACRO_FILE(3)

NAME
dwarf_end_macro_file - mark the end of the current source file inclusion

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_end_macro_file(Dwarf_P_Debug dbg, Dwarf_Error *err);

DESCRIPTION
Function dwarf_end_macro_file() marks the end of the current source file inclusion.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

If argument err is not NULL, it will be used to store error information in case of an error.

RETURN VALUES
On success, function dwarf_end_macro_file() returns DW_DLV_OK. In case of an error, function dwarf_end_macro_file() returns DW_DLV_ERROR and sets the argument err.

ERRORS
Function dwarf_end_macro_file() can fail with:

[DW_DLE_ARGUMENT]
    Argument dbg was NULL.

[DW_DLE_MEMORY]
    An out of memory condition was encountered during the execution of the function.

SEE ALSO
dwarf(3), dwarf_def_macro(3), dwarf_producer_init(3), dwarf_producer_init_b(3), dwarf_start_macro_file(3), dwarf_undef_macro(3), dwarf_vendor_ext(3)